Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.conf
Class TimedRuleExectionOption

    java.lang.Object
      org.kie.api.runtime.conf.TimedRuleExectionOption

All Implemented Interfaces:
  Serializable, Option, KieSessionOption, SingleValueKieSessionOption

Direct Known Subclasses:
  TimedRuleExectionOption.FILTERED

    public class TimedRuleExectionOption

extends Object
implements SingleValueKieSessionOption

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TimedRuleExectionOption.FILTERED`

Field Summary
`static TimedRuleExectionOption` | `NO`
`static String` | `PROPERTY_NAME`
`static TimedRuleExectionOption` | `YES`

Method Summary
`TimedRuleExecutionFilter` | `getFilter()`
`String` | `getPropertyName()` Returns the property name for this option
`static TimedRuleExectionOption` | `resolve(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

See Also:
  Constant Field Values

### YES

    public static final TimedRuleExectionOption YES

### NO

    public static final TimedRuleExectionOption NO

Method Detail

### getPropertyName

    public String getPropertyName()

  Description copied from interface: `Option`
  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getFilter

    public TimedRuleExecutionFilter getFilter()

### resolve

    public static TimedRuleExectionOption resolve(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.